# Load libraries
from machine import Pin, Timer

# Initialization of GPIO26 as input | Initialization of GPIO18 as output
sensor = Pin(26, Pin.IN, Pin.PULL_DOWN)
LED = Pin(18, Pin.OUT, Pin.PULL_DOWN)

# Timer initialization
timer = Timer()
# Variables initialization
var = 0

# Function: LED is switched ON/OFF
def step(timer):
    global var
    print("vibration")
    if var == 0:
        LED.value(1)
        var = 1
    else:
        LED.value(0)
        var = 0

# Function: After triggering the interrupt the timer is triggered to execute the step() function.
def shake(pin):
    # Debounce function: Set timer
    timer.init(mode=Timer.ONE_SHOT, period=100, callback=step)

# Initialization interrupt
sensor.irq(trigger=Pin.IRQ_FALLING, handler=shake)